Name:           aoetools
Version:        29
Release:        1%{?_dist_release}
Summary:        ATA over Ethernet Tools
Summary(ja):    ATA over Ethernet ツール

Group:          System Environment/Base
License:        GPLv2
URL:            http://sourceforge.net/projects/aoetools/
Source0:        http://dl.sf.net/%{name}/%{name}-%{version}.tar.gz
Source1:        60-aoe.rules
Patch0:         %{name}-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
The aoetools are programs that assist in using ATA over Ethernet on 
systems with version 2.6 Linux kernels.

%description -l ja
aoetools には、Linux カーネル 2.6 で ATA over Ethernet を利用する際に
使われるプログラムが収録されています。


%prep
%setup -q
%patch0 -p1


%build
make %{?_smp_mflags} CFLAGS="${RPM_OPT_FLAGS}"


%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/udev/rules.d/
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/udev/rules.d/


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc COPYING HACKING NEWS README devnodes.txt
%{_sysconfdir}/udev/rules.d/*
%{_sbindir}/aoe*
%{_sbindir}/coraid-update
%{_mandir}/man8/aoe*.8*
%{_mandir}/man8/coraid-update.8*


%changelog
* Mon Jan 26 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 29-1
- new upstream release

* Mon Sep 22 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 27-1
- new upstream release

* Sun Sep 14 2008 Shu KONNO <owa@bg.wakwak.com> 21-2vl5
- applied new versioning policy, spec in utf-8

* Thu Dec 06 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 21-1vl4
- add SOURCE1 (udev rules for aoe)

* Tue Dec 04 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 21-1vl2
- initial package for VineSeed

* Fri Nov 30 2007 Patrick "Jima" Laughton <jima@beer.tclug.org> 21-1
- New upstream release

* Wed Aug 22 2007 Patrick "Jima" Laughton <jima@beer.tclug.org> 18-1
- New upstream release
- License clarification

* Tue Jun 12 2007 Patrick "Jima" Laughton <jima@beer.tclug.org> 16-1
- New upstream release (bugfix)

* Mon Apr 09 2007 Patrick "Jima" Laughton <jima@beer.tclug.org> 15-1
- Figures, NOW I notice the new version
- Adapted/removed patches (most fixes moved upstream, thanks!)

* Mon Apr 09 2007 Patrick "Jima" Laughton <jima@beer.tclug.org> 14-3
- Added devnodes.txt to %%doc
- Importing into CVS

* Sat Apr 07 2007 Patrick "Jima" Laughton <jima@beer.tclug.org> 14-2
- Added CFLAGS="$RPM_OPT_FLAGS" to building (thanks Chris!)

* Wed Apr 04 2007 Patrick "Jima" Laughton <jima@beer.tclug.org> 14-1
- Initial Fedora RPM
